export type RequestMethods = 'get' | 'post' | 'put' | 'delete';

export type ApiGlobalResponseObject<DataType> = {
  type: 'Success' | 'client Error' | string;
  status: 200 | 400 | 401 | 500 | number;
  message: string;
  description: string;
  data: DataType;
};
