import React from 'react';
import UsersModel from '~/business-logic/core/users/common/data/model/usersModel';

export type userListReturnType = {
  selectedRowId: string;
  setSelectedRowId: React.Dispatch<React.SetStateAction<string>>;
  usersData: {
    data: UsersModel | undefined;
    isLoading: boolean;
    error?: string | undefined;
  };
};
